Multiply numbers

- « gmp_mod

- gmp_neg »

- PHP Manual
- GMP Functions
- Multiply numbers

# gmp_mul

(PHP 4 >= 4.0.4, PHP 5, PHP 7, PHP 8)

gmp_mul — Multiply numbers

### Description

gmp_mul(GMP|int|string `$num1`, GMP|int|string `$num2`): GMP

Multiplies `num1` by `num2` and returns the result.

### Parameters

`num1`

  A number that will be multiplied by `num2`.

  A GMP object, an int, or a string that can be interpreted as a number following the same logic as if the string was used in gmp_init() with automatic base detection (i.e. when `base` is equal to 0).

`num2`

  A number that will be multiplied by `num1`.

  A GMP object, an int, or a string that can be interpreted as a number following the same logic as if the string was used in gmp_init() with automatic base detection (i.e. when `base` is equal to 0).

### Return Values

A GMP object.

### Examples

Example #1 gmp_mul() example

    <?php
    $mul = gmp_mul("12345678", "2000");
    echo gmp_strval($mul) . "\n";
    ?>

The above example will output:

    24691356000